Subject: Re: linux-next: Fixes tag needs some work in the i2c tree

From: Wolfram Sang <[email-masked]>
Date: Tue, 28 Apr 2020 12:14:11 +0200

> > Thanks for reporting, I obviously didn't notice. Well, technically,
> > commit messages can be UTF8, so not really an error. However, it will
> > probably break lots of homebrew scripts, so a checkpatch warning it is,
> > then?
> 
> Not checkpatch, but my own script that checks some things about Fixes
> tags (attached).  Interestingly, my script does allow some other Unicode
> things (like matching quotes) ...

I wondered if it makes sense to add a warning to checkpatch; but on
second thought, the tags may include UTF8 anyhow for proper author
names. So, maybe we should be generous in what we accept and simply
update our tooling?